/*
 * bitmaps.h - Include bitmap files for pieces and icons
 *
 * Copyright 1991 by Digital Equipment Corporation, Maynard,
 * Massachusetts.
 *
 * Enhancements Copyright 1992-2001, 2002, 2003, 2004, 2005, 2006,
 * 2007, 2008, 2009 Free Software Foundation, Inc.
 *
 * The following terms apply to Digital Equipment Corporation's copyright
 * interest in XBoard:
 * ------------------------------------------------------------------------
 * All Rights Reserved
 *
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose and without fee is hereby granted,
 * provided that the above copyright notice appear in all copies and that
 * both that copyright notice and this permission notice appear in
 * supporting documentation, and that the name of Digital not be
 * used in advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 *
 * DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
 * ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
 * DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
 * ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
 * WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
 * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
 * SOFTWARE.
 * ------------------------------------------------------------------------
 *
 * The following terms apply to the enhanced version of XBoard
 * distributed by the Free Software Foundation:
 * ------------------------------------------------------------------------
 *
 * GNU XBoard is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at
 * your option) any later version.
 *
 * GNU XBoard is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see http://www.gnu.org/licenses/.  *
 *
 *------------------------------------------------------------------------
 ** See the file ChangeLog for a revision history.  */

// [HGM] Note: the bitmaps for Shogi promoted pieces are #included, but not referred to in the list bitmapBits.
//       The front-end would have to substitutes them for some listed pieces, in variant shogi.
//       It would also have to replace the Queen bitmap with that of the Lance.
//       The Japanese-style Shogi symbols for size 58 are not included at all. To have those
//       you would have to convert the WinBoard .bmp files in the shogibitmaps folder with convert.c


#include "p129s.bm"
#include "n129s.bm"
#include "b129s.bm"
#include "r129s.bm"
#include "q129s.bm"
#include "k129s.bm"

#include "p129o.bm"
#include "n129o.bm"
#include "b129o.bm"
#include "r129o.bm"
#include "q129o.bm"
#include "k129o.bm"

#include "p116s.bm"
#include "n116s.bm"
#include "b116s.bm"
#include "r116s.bm"
#include "q116s.bm"
#include "k116s.bm"

#include "p116o.bm"
#include "n116o.bm"
#include "b116o.bm"
#include "r116o.bm"
#include "q116o.bm"
#include "k116o.bm"

#include "p108s.bm"
#include "n108s.bm"
#include "b108s.bm"
#include "r108s.bm"
#include "q108s.bm"
#include "k108s.bm"

#include "p108o.bm"
#include "n108o.bm"
#include "b108o.bm"
#include "r108o.bm"
#include "q108o.bm"
#include "k108o.bm"

#include "p95s.bm"
#include "n95s.bm"
#include "b95s.bm"
#include "r95s.bm"
#include "q95s.bm"
#include "k95s.bm"

#include "p95o.bm"
#include "n95o.bm"
#include "b95o.bm"
#include "r95o.bm"
#include "q95o.bm"
#include "k95o.bm"

#include "p87s.bm"
#include "n87s.bm"
#include "b87s.bm"
#include "r87s.bm"
#include "q87s.bm"
#include "k87s.bm"

#include "p87o.bm"
#include "n87o.bm"
#include "b87o.bm"
#include "r87o.bm"
#include "q87o.bm"
#include "k87o.bm"

#include "p80s.bm"
#include "n80s.bm"
#include "b80s.bm"
#include "r80s.bm"
#include "q80s.bm"
#include "k80s.bm"

#include "p80o.bm"
#include "n80o.bm"
#include "b80o.bm"
#include "r80o.bm"
#include "q80o.bm"
#include "k80o.bm"

#include "p72s.bm"
#include "n72s.bm"
#include "b72s.bm"
#include "r72s.bm"
#include "q72s.bm"
#include "f72s.bm"
#include "e72s.bm"
#include "a72s.bm"
#include "c72s.bm"
#include "w72s.bm"
#include "m72s.bm"
#include "o72s.bm"
#include "h72s.bm"
#include "i72s.bm"
#include "j72s.bm"
#include "g72s.bm"
#include "d72s.bm"
#include "v72s.bm"
#include "l72s.bm"
#include "s72s.bm"
#include "u72s.bm"
#include "k72s.bm"
#include "wp72s.bm"
#include "wl72s.bm"
#include "wn72s.bm"
#include "ws72s.bm"

#include "p72o.bm"
#include "n72o.bm"
#include "b72o.bm"
#include "r72o.bm"
#include "q72o.bm"
#include "f72o.bm"
#include "e72o.bm"
#include "a72o.bm"
#include "c72o.bm"
#include "w72o.bm"
#include "m72o.bm"
#include "o72o.bm"
#include "h72o.bm"
#include "i72o.bm"
#include "j72o.bm"
#include "g72o.bm"
#include "d72o.bm"
#include "v72o.bm"
#include "l72o.bm"
#include "s72o.bm"
#include "u72o.bm"
#include "k72o.bm"
#include "wp72o.bm"
#include "wl72o.bm"
#include "wn72o.bm"
#include "ws72o.bm"

#include "p64s.bm"
#include "n64s.bm"
#include "b64s.bm"
#include "r64s.bm"
#include "q64s.bm"
#include "a64s.bm"
#include "c64s.bm"
#include "d64s.bm"
#include "l64s.bm"
#include "k64s.bm"

#include "p64o.bm"
#include "n64o.bm"
#include "b64o.bm"
#include "r64o.bm"
#include "q64o.bm"
#include "a64o.bm"
#include "c64o.bm"
#include "d64o.bm"
#include "l64o.bm"
#include "k64o.bm"

#include "p58s.bm"
#include "n58s.bm"
#include "b58s.bm"
#include "r58s.bm"
#include "q58s.bm"
#include "a58s.bm"
#include "c58s.bm"
#include "d58s.bm"
#include "l58s.bm"
#include "k58s.bm"

#include "p58o.bm"
#include "n58o.bm"
#include "b58o.bm"
#include "r58o.bm"
#include "q58o.bm"
#include "a58o.bm"
#include "c58o.bm"
#include "d58o.bm"
#include "l58o.bm"
#include "k58o.bm"

#include "p54s.bm"
#include "n54s.bm"
#include "b54s.bm"
#include "r54s.bm"
#include "q54s.bm"
#include "a54s.bm"
#include "c54s.bm"
#include "d54s.bm"
#include "l54s.bm"
#include "k54s.bm"

#include "p54o.bm"
#include "n54o.bm"
#include "b54o.bm"
#include "r54o.bm"
#include "q54o.bm"
#include "a54o.bm"
#include "c54o.bm"
#include "d54o.bm"
#include "l54o.bm"
#include "k54o.bm"

#include "p49s.bm"
#include "n49s.bm"
#include "b49s.bm"
#include "r49s.bm"
#include "q49s.bm"
#include "f49s.bm"
#include "e49s.bm"
#include "a49s.bm"
#include "c49s.bm"
#include "w49s.bm"
#include "m49s.bm"
#include "o49s.bm"
#include "h49s.bm"
#include "i49s.bm"
#include "j49s.bm"
#include "g49s.bm"
#include "d49s.bm"
#include "v49s.bm"
#include "l49s.bm"
#include "s49s.bm"
#include "u49s.bm"
#include "k49s.bm"
#include "wp49s.bm"
#include "wl49s.bm"
#include "wn49s.bm"
#include "ws49s.bm"

#include "p49o.bm"
#include "n49o.bm"
#include "b49o.bm"
#include "r49o.bm"
#include "q49o.bm"
#include "f49o.bm"
#include "e49o.bm"
#include "a49o.bm"
#include "c49o.bm"
#include "w49o.bm"
#include "m49o.bm"
#include "o49o.bm"
#include "h49o.bm"
#include "i49o.bm"
#include "j49o.bm"
#include "g49o.bm"
#include "d49o.bm"
#include "v49o.bm"
#include "l49o.bm"
#include "s49o.bm"
#include "u49o.bm"
#include "k49o.bm"
#include "wp49o.bm"
#include "wl49o.bm"
#include "wn49o.bm"
#include "ws49o.bm"

#include "p45s.bm"
#include "n45s.bm"
#include "b45s.bm"
#include "r45s.bm"
#include "q45s.bm"
#include "a45s.bm"
#include "c45s.bm"
#include "d45s.bm"
#include "l45s.bm"
#include "k45s.bm"

#include "p45o.bm"
#include "n45o.bm"
#include "b45o.bm"
#include "r45o.bm"
#include "q45o.bm"
#include "a45o.bm"
#include "c45o.bm"
#include "d45o.bm"
#include "l45o.bm"
#include "k45o.bm"

#include "p40s.bm"
#include "n40s.bm"
#include "b40s.bm"
#include "r40s.bm"
#include "q40s.bm"
#include "a40s.bm"
#include "c40s.bm"
#include "d40s.bm"
#include "l40s.bm"
#include "k40s.bm"

#include "p40o.bm"
#include "n40o.bm"
#include "b40o.bm"
#include "r40o.bm"
#include "q40o.bm"
#include "a40o.bm"
#include "c40o.bm"
#include "d40o.bm"
#include "l40o.bm"
#include "k40o.bm"

#include "p37s.bm"
#include "n37s.bm"
#include "b37s.bm"
#include "r37s.bm"
#include "q37s.bm"
#include "a37s.bm"
#include "c37s.bm"
#include "d37s.bm"
#include "l37s.bm"
#include "k37s.bm"

#include "p37o.bm"
#include "n37o.bm"
#include "b37o.bm"
#include "r37o.bm"
#include "q37o.bm"
#include "a37o.bm"
#include "c37o.bm"
#include "d37o.bm"
#include "l37o.bm"
#include "k37o.bm"

#include "p33s.bm"
#include "n33s.bm"
#include "b33s.bm"
#include "r33s.bm"
#include "q33s.bm"
#include "f33s.bm"
#include "e33s.bm"
#include "a33s.bm"
#include "c33s.bm"
#include "w33s.bm"
#include "m33s.bm"
#include "o33s.bm"
#include "h33s.bm"
#include "i33s.bm"
#include "j33s.bm"
#include "g33s.bm"
#include "d33s.bm"
#include "l33s.bm"
#include "k33s.bm"

#include "p33o.bm"
#include "n33o.bm"
#include "b33o.bm"
#include "r33o.bm"
#include "q33o.bm"
#include "f33o.bm"
#include "e33o.bm"
#include "a33o.bm"
#include "c33o.bm"
#include "w33o.bm"
#include "m33o.bm"
#include "o33o.bm"
#include "h33o.bm"
#include "i33o.bm"
#include "j33o.bm"
#include "g33o.bm"
#include "d33o.bm"
#include "l33o.bm"
#include "k33o.bm"

#include "p29s.bm"
#include "n29s.bm"
#include "b29s.bm"
#include "r29s.bm"
#include "q29s.bm"
#include "k29s.bm"

#include "p29o.bm"
#include "n29o.bm"
#include "b29o.bm"
#include "r29o.bm"
#include "q29o.bm"
#include "k29o.bm"

#include "p25s.bm"
#include "n25s.bm"
#include "b25s.bm"
#include "r25s.bm"
#include "q25s.bm"
#include "k25s.bm"

#include "p25o.bm"
#include "n25o.bm"
#include "b25o.bm"
#include "r25o.bm"
#include "q25o.bm"
#include "k25o.bm"

#include "p21s.bm"
#include "n21s.bm"
#include "b21s.bm"
#include "r21s.bm"
#include "q21s.bm"
#include "k21s.bm"

#include "p21o.bm"
#include "n21o.bm"
#include "b21o.bm"
#include "r21o.bm"
#include "q21o.bm"
#include "k21o.bm"

typedef struct {
    int squareSize;
    unsigned char *bits[2][(int)BlackPawn+4];
} BuiltInBits;

BuiltInBits builtInBits[] = {\
{ 129,\
  { { p129s_bits, n129s_bits, b129s_bits, r129s_bits, q129s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k129s_bits, NULL, NULL, NULL, NULL },\
    { p129o_bits, n129o_bits, b129o_bits, r129o_bits, q129o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k129o_bits, NULL, NULL, NULL, NULL } } },\
{ 116,\
  { { p116s_bits, n116s_bits, b116s_bits, r116s_bits, q116s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k116s_bits, NULL, NULL, NULL, NULL },\
    { p116o_bits, n116o_bits, b116o_bits, r116o_bits, q116o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k116o_bits, NULL, NULL, NULL, NULL } } },\
{ 108,\
  { { p108s_bits, n108s_bits, b108s_bits, r108s_bits, q108s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k108s_bits, NULL, NULL, NULL, NULL },\
    { p108o_bits, n108o_bits, b108o_bits, r108o_bits, q108o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k108o_bits, NULL, NULL, NULL, NULL } } },\
{ 95,\
  { { p95s_bits, n95s_bits, b95s_bits, r95s_bits, q95s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k95s_bits, NULL, NULL, NULL, NULL },\
    { p95o_bits, n95o_bits, b95o_bits, r95o_bits, q95o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k95o_bits, NULL, NULL, NULL, NULL } } },\
{ 87,\
  { { p87s_bits, n87s_bits, b87s_bits, r87s_bits, q87s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k87s_bits, NULL, NULL, NULL, NULL },\
    { p87o_bits, n87o_bits, b87o_bits, r87o_bits, q87o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k87o_bits, NULL, NULL, NULL, NULL } } },\
{ 80,\
  { { p80s_bits, n80s_bits, b80s_bits, r80s_bits, q80s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k80s_bits, NULL, NULL, NULL, NULL },\
    { p80o_bits, n80o_bits, b80o_bits, r80o_bits, q80o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k80o_bits }, NULL, NULL, NULL, NULL } },\
{ 72,\
  { { p72s_bits, n72s_bits, b72s_bits, r72s_bits, q72s_bits, f72s_bits, e72s_bits, a72s_bits, c72s_bits, w72s_bits, m72s_bits, o72s_bits, h72s_bits, i72s_bits, j72s_bits, g72s_bits, d72s_bits, v72s_bits, l72s_bits, s72s_bits, u72s_bits, k72s_bits, wp72s_bits, wn72s_bits, ws72s_bits, wl72s_bits },\
    { p72o_bits, n72o_bits, b72o_bits, r72o_bits, q72o_bits, f72o_bits, e72o_bits, a72o_bits, c72o_bits, w72o_bits, m72o_bits, o72o_bits, h72o_bits, i72o_bits, j72o_bits, g72o_bits, d72o_bits, v72o_bits, l72o_bits, s72o_bits, u72o_bits, k72o_bits, wp72o_bits, wn72o_bits, ws72o_bits, wl72o_bits } } },\
{ 64,\
  { { p64s_bits, n64s_bits, b64s_bits, r64s_bits, q64s_bits, l64s_bits, l64s_bits, a64s_bits, c64s_bits, l64s_bits, l64s_bits, l64s_bits, l64s_bits, l64s_bits, l64s_bits, l64s_bits, d64s_bits, l64s_bits, l64s_bits, l64s_bits, l64s_bits, k64s_bits, l64s_bits, l64s_bits, l64s_bits, l64s_bits },\
    { p64o_bits, n64o_bits, b64o_bits, r64o_bits, q64o_bits, l64o_bits, l64o_bits, a64o_bits, c64o_bits, l64o_bits, l64o_bits, l64o_bits, l64o_bits, l64o_bits, l64o_bits, l64o_bits, d64o_bits, l64o_bits, l64o_bits, l64o_bits, l64o_bits, k64o_bits, l64o_bits, l64o_bits, l64o_bits, l64o_bits } } },\
{ 58,\
  { { p58s_bits, n58s_bits, b58s_bits, r58s_bits, q58s_bits, l58s_bits, l58s_bits, a58s_bits, c58s_bits, l58s_bits, l58s_bits, l58s_bits, l58s_bits, l58s_bits, l58s_bits, l58s_bits, d58s_bits, l58s_bits, l58s_bits, l58s_bits, l58s_bits, k58s_bits, l58s_bits, l58s_bits, l58s_bits, l58s_bits },\
    { p58o_bits, n58o_bits, b58o_bits, r58o_bits, q58o_bits, l58o_bits, l58o_bits, a58o_bits, c58o_bits, l58o_bits, l58o_bits, l58o_bits, l58o_bits, l58o_bits, l58o_bits, l58o_bits, d58o_bits, l58o_bits, l58o_bits, l58o_bits, l58o_bits, k58o_bits, l58o_bits, l58o_bits, l58o_bits, l58o_bits } } },\
{ 54,\
  { { p54s_bits, n54s_bits, b54s_bits, r54s_bits, q54s_bits, l54s_bits, l54s_bits, a54s_bits, c54s_bits, l54s_bits, l54s_bits, l54s_bits, l54s_bits, l54s_bits, l54s_bits, l54s_bits, d54s_bits, l54s_bits, l54s_bits, l54s_bits, l54s_bits, k54s_bits, l54s_bits, l54s_bits, l54s_bits, l54s_bits },\
    { p54o_bits, n54o_bits, b54o_bits, r54o_bits, q54o_bits, l54o_bits, l54o_bits, a54o_bits, c54o_bits, l54o_bits, l54o_bits, l54o_bits, l54o_bits, l54o_bits, l54o_bits, l54o_bits, d54o_bits, l54o_bits, l54o_bits, l54o_bits, l54o_bits, k54o_bits, l54o_bits, l54o_bits, l54o_bits, l54o_bits } } },\
{ 49,\
  { { p49s_bits, n49s_bits, b49s_bits, r49s_bits, q49s_bits, f49s_bits, e49s_bits, a49s_bits, c49s_bits, w49s_bits, m49s_bits, o49s_bits, h49s_bits, i49s_bits, j49s_bits, g49s_bits, d49s_bits, v49s_bits, l49s_bits, s49s_bits, u49s_bits, k49s_bits, wp49s_bits, wn49s_bits, ws49s_bits, wl49s_bits },\
    { p49o_bits, n49o_bits, b49o_bits, r49o_bits, q49o_bits, f49o_bits, e49o_bits, a49o_bits, c49o_bits, w49o_bits, m49o_bits, o49o_bits, h49o_bits, i49s_bits, j49o_bits, g49o_bits, d49o_bits, v49o_bits, l49o_bits, s49o_bits, u49o_bits, k49o_bits, wp49o_bits, wn49o_bits, ws49o_bits, wl49o_bits } } },\
{ 45,\
  { { p45s_bits, n45s_bits, b45s_bits, r45s_bits, q45s_bits, l45s_bits, l45s_bits, a45s_bits, c45s_bits, l45s_bits, l45s_bits, l45s_bits, l45s_bits, l45s_bits, l45s_bits, l45s_bits, d45s_bits, l45s_bits, l45s_bits, l45s_bits, l45s_bits, k45s_bits, l45s_bits, l45s_bits, l45s_bits, l45s_bits },\
    { p45o_bits, n45o_bits, b45o_bits, r45o_bits, q45o_bits, l45o_bits, l45o_bits, a45o_bits, c45o_bits, l45o_bits, l45o_bits, l45o_bits, l45o_bits, l45o_bits, l45o_bits, l45o_bits, d45o_bits, l45o_bits, l45o_bits, l45o_bits, l45o_bits, k45o_bits, l45o_bits, l45o_bits, l45o_bits, l45o_bits } } },\
{ 40,\
  { { p40s_bits, n40s_bits, b40s_bits, r40s_bits, q40s_bits, l40s_bits, l40s_bits, a40s_bits, c40s_bits, l40s_bits, l40s_bits, l40s_bits, l40s_bits, l40s_bits, l40s_bits, l40s_bits, d40s_bits, l40s_bits, l40s_bits, l40s_bits, l40s_bits, k40s_bits, l40s_bits, l40s_bits, l40s_bits, l40s_bits },\
    { p40o_bits, n40o_bits, b40o_bits, r40o_bits, q40o_bits, l40o_bits, l40o_bits, a40o_bits, c40o_bits, l40o_bits, l40o_bits, l40o_bits, l40o_bits, l40o_bits, l40o_bits, l40o_bits, d40o_bits, l40o_bits, l40o_bits, l40o_bits, l40o_bits, k40o_bits, l40o_bits, l40o_bits, l40o_bits, l40o_bits } } },\
{ 37,\
  { { p37s_bits, n37s_bits, b37s_bits, r37s_bits, q37s_bits, l37s_bits, l37s_bits, a37s_bits, c37s_bits, l37s_bits, l37s_bits, l37s_bits, l37s_bits, l37s_bits, l37s_bits, l37s_bits, d37s_bits, l37s_bits, l37s_bits, l37s_bits, l37s_bits, k37s_bits, l37s_bits, l37s_bits, l37s_bits, l37s_bits },\
    { p37o_bits, n37o_bits, b37o_bits, r37o_bits, q37o_bits, l37o_bits, l37o_bits, a37o_bits, c37o_bits, l37o_bits, l37o_bits, l37o_bits, l37o_bits, l37o_bits, l37o_bits, l37o_bits, d37o_bits, l37o_bits, l37o_bits, l37o_bits, l37o_bits, k37o_bits, l37o_bits, l37o_bits, l37o_bits, l37o_bits } } },\
{ 33,\
  { { p33s_bits, n33s_bits, b33s_bits, r33s_bits, q33s_bits, f33s_bits, e33s_bits, a33s_bits, c33s_bits, w33s_bits, m33s_bits, o33s_bits, h33s_bits, a33s_bits, j33s_bits, g33s_bits, d33s_bits, l33s_bits, d33s_bits, l33s_bits, l33s_bits, k33s_bits, l33s_bits, l33s_bits, l33s_bits, l33s_bits },\
    { p33o_bits, n33o_bits, b33o_bits, r33o_bits, q33o_bits, f33o_bits, e33o_bits, a33o_bits, c33o_bits, w33o_bits, m33o_bits, o33o_bits, h33o_bits, a33o_bits, j33o_bits, g33o_bits, d33o_bits, l33o_bits, d33o_bits, l33o_bits, l33o_bits, k33o_bits, l33o_bits, l33o_bits, l33o_bits, l33o_bits } } },\
{ 29,\
  { { p29s_bits, n29s_bits, b29s_bits, r29s_bits, q29s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k29s_bits, NULL, NULL, NULL, NULL },\
    { p29o_bits, n29o_bits, b29o_bits, r29o_bits, q29o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k29o_bits, NULL, NULL, NULL, NULL } } },\
{ 25,\
  { { p25s_bits, n25s_bits, b25s_bits, r25s_bits, q25s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k25s_bits, NULL, NULL, NULL, NULL },\
    { p25o_bits, n25o_bits, b25o_bits, r25o_bits, q25o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k25o_bits, NULL, NULL, NULL, NULL } } },\
{ 21,\
  { { p21s_bits, n21s_bits, b21s_bits, r21s_bits, q21s_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k21s_bits, NULL, NULL, NULL, NULL },\
    { p21o_bits, n21o_bits, b21o_bits, r21o_bits, q21o_bits, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, k21o_bits, NULL, NULL, NULL, NULL } } },\
{ 0,\
  { { NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL },\
    { NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL } } }\
};


